Bug 208584 - Review Request: mirrormagic - Puzzle game where you steer a beam of light using mirrors
Review Request: mirrormagic - Puzzle game where you steer a beam of light usi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-29 10:43 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-06 16:38:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-09-29 10:43:35 EDT
Spec URL: http://people.atrpms.net/~hdegoede/mirrormagic.spec
SRPM URL: http://people.atrpms.net/~hdegoede/mirrormagic-2.0.2-1.fc6.src.rpm
Description:
MirrorMagic is a game where you shoot around obstacles to collect energy using
your beam. It is similar to "Mindbender" (Amiga) from the same author. The goal
is to work out how to get around obstacles to shoot energy containers with your
beam, thereby opening the path to the next level. Included are many levels
familiar from the games "Deflektor" and "Mindbender".
Comment 1 Michał Bentkowski 2006-09-29 14:32:52 EDT
MUST items:
 * rpmlint doesn't show anything
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with an GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (32fd3909c1e27f493d89bc2276da6744)
 * package successfully compiles on x86_64
 * BuildRequires listed well
 * no locales
 * proper %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well
 * .desktop file looks good

THINGS to do:
 * this is not the blocker, but probably SDL-devel BR is unnecessary (I
haven't tested it)
 * the much more important problem is related with running the game on x86_64.
When I'm trying to do it, I get following message:

$ mirrormagic
mirrormagic: gadget incomplete (missing Bitmap)
mirrormagic: aborting

$ mirrormagic -v
mirrormagic: warning: cannot open configuration file '/home/ecik/.mirrormagic/
setup.conf'
mirrormagic: warning: using default setup values
mirrormagic: warning: cannot open configuration file '/home/ecik/.mirrormagic/
levelsetup.conf'
mirrormagic: warning: using default setup values
mirrormagic: warning: cannot open configuration file '/home/ecik/.mirrormagic/
levelsetup/classic_deflektor/levelsetup.conf'
mirrormagic: warning: using default setup values
mirrormagic: gadget incomplete (missing Bitmap)
mirrormagic: aborting
Comment 2 Hans de Goede 2006-09-30 08:54:27 EDT
(In reply to comment #1)
> THINGS to do:
>  * this is not the blocker, but probably SDL-devel BR is unnecessary (I
> haven't tested it)

You're right, I've removed it.

>  * the much more important problem is related with running the game on x86_64.
> When I'm trying to do it, I get following message:
> 
> $ mirrormagic
> mirrormagic: gadget incomplete (missing Bitmap)
> mirrormagic: aborting
> 

Ah yes, I created this package on my 32 bit machine, and look and behold its not
64 bit clean. I've managed to fix this.

Here is a new version:
http://people.atrpms.net/~hdegoede/mirrormagic.spec
http://people.atrpms.net/~hdegoede/mirrormagic-2.0.2-2.fc6.src.rpm
Comment 3 Hans de Goede 2006-10-06 10:39:00 EDT
Erm, I posted a new version with everything fixed, ping?
Comment 4 Michał Bentkowski 2006-10-06 13:50:19 EDT
(In reply to comment #3)
> Erm, I posted a new version with everything fixed, ping?
> 

I'm sorry you had to wait.
I didn't response earlier as I had a serious problem with my mainboard.
Now my computer runs good and your package is good too.

APPROVED.
Comment 5 Hans de Goede 2006-10-06 16:38:46 EDT
Thanks! Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.